<template>
    <div class="dialog-table-container sub-page-inner" :element-loading-background="loadingColor" v-loading="loading">
        <!-- <div class="sub-page-detail full-detail">
            <el-table :element-loading-background="loadingColor" v-loading="loading" height="calc(100% - 20px)"
                align="center" :data="tableData" class="dialog_table" :cell-style="{ 'text-align': 'center' }"
                :header-cell-style="{ 'text-align': 'center' }">
                <el-table-column type="index" label="序号" width="60"></el-table-column>
                <el-table-column prop="projectName" label="项目名称" min-width="220" align="left">
                </el-table-column>
                <el-table-column width="160" prop="trend" label="操作">
                    <template v-slot="{ row }">
                        <el-tag class="tag-btn" type="primary" effect="dark" style="cursor: pointer"
                            @click="openSubView(row)">进入分驾驶舱</el-tag>
                    </template>
                </el-table-column>
            </el-table>
        </div> -->
        <div class="project-title">
            <div class="project-item">
                <div class="left">序号</div>
                <div>项目名称</div>
                <div class="right">操作</div>
            </div>
            <div class="project-item">
                <div class="left">序号</div>
                <div>项目名称</div>
                <div class="right">操作</div>
            </div>
        </div>
        <div class="project-box" v-if="tableData.length">
            <div class="project-item" v-for="(project, index) in tableData" :key="project.id">
                <div class="left">{{ index + 1 }}</div>
                <div>{{ project.projectName }}</div>
                <div class="right">
                    <el-tag size="medium" class="tag-btn" type="primary" effect="dark" style="cursor: pointer"
                        @click="openSubView(project)">进入分驾驶舱</el-tag>
                </div>
            </div>
        </div>
        <div class="data-none" v-else>暂无数据</div>
    </div>
</template>

<script>
import apiList from '@/api/bigScreen/majorView.js'
export default {
    name: 'indexRank',
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.8)',
            tableData: [],
        }
    },
    mounted() {
        this.loadData()
        this.$bus.$on('changeDate', (searchDate) => {
            this.loadData()
        })
    },
    created() {
        this.$emit('searchDateChange')
    },
    methods: {
        openSubView(item) {
            this.$router.push(
                `/MajorProjectsSubView?projectId=${item.projectId}&projectName=${item.projectName}`
            )
        },
        // 改革品牌榜
        loadData() {
            this.loading = true
            let data = JSON.parse(sessionStorage.getItem('searchDate'))
            data.type = 'composite'
            apiList.getRank(this.qs.stringify(data), (res) => {
                if (res && res.value) {
                    this.tableData = res.value
                }
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
.data-none {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: calc(100% - 60PX);
    font-size: 18PX;
    color: #b7b7b7;
}
.sub-page-inner {
    display: block;
}

.project-title {
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    width: 100%;
    height: 55PX;

    .project-item {
        background-color: rgba(2, 115, 233, 0.3);

        &:hover {
            background-color: rgba(2, 115, 233, 0.3) !important;
        }

        &:nth-child(1) {
            width: 917PX;
            margin-right: 10PX;
        }

        &:nth-child(2) {
            flex: 1;
        }
    }
}

.project-box {
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    width: 100%;
    height: calc(100% - 60PX);
    overflow: auto;

    .project-item {
        &:nth-child(2n+1) {
            width: 917PX;
            margin-right: 10PX;
        }

        &:nth-child(2n) {
            flex: 1;
        }

        &:nth-child(1),
        &:nth-child(2) {
            margin-top: 5px;
        }
    }

}

::-webkit-scrollbar {
    width: 7PX !important;
}

.project-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: calc(50% - 5px);
    height: 55PX;
    margin-bottom: 5PX;
    background-color: rgba(2, 115, 233, 0.1);
    padding: 0 10PX;
    box-sizing: border-box;

    >* {
        text-align: center;
        font-size: 18PX;
    }

    .left {
        width: 60PX;
    }

    .right {
        width: 130PX;
    }

    &:hover {
        background-color: rgba(2, 115, 233, 0.6) !important;
    }

    &:nth-child(4n+3),
    &:nth-child(4n) {
        background-color: rgba(2, 115, 233, 0.3);
    }
}

.column-item-rotate {
    display: inline-block;
    transform: rotateX(180deg);
}

.cqlt-icon-arrow {
    font-size: 18PX;
}

.column-trend-icon-1 {
    color: #59c06c;
    text-shadow: #59c06c 1PX 0 12PX;
}

.column-trend-icon-2 {
    color: #fe3b30;
    text-shadow: #fe3b30 1PX 0 12PX;
}

.tag-btn {
    height: 35PX;
    line-height: 35PX;
    font-size: 18PX;
}</style>
<style lang="scss">@import './table.scss';</style>
